Search companies (type-ahead)
curl --request GET \
--url https://rest-api.captide.co/api/v2/companies/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://rest-api.captide.co/api/v2/companies/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://rest-api.captide.co/api/v2/companies/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest-api.captide.co/api/v2/companies/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest-api.captide.co/api/v2/companies/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rest-api.captide.co/api/v2/companies/search")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rest-api.captide.co/api/v2/companies/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "77848abe-a215-41b7-8950-86e89ea1fadc",
"name": "Santos Ltd.",
"tickers": [
"STO.AX"
],
"countries": [
"AU"
],
"filesWithSec": false,
"permid": "4295857141"
}
]{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Companies
Search Company
Type-ahead search for companies by name or ticker symbol. Intended for frontend autocomplete. Matches company name (case-insensitive substring) or ticker symbol / ticker with exchange suffix (e.g. AAPL or AAPL.US).
GET
/
api
/
v2
/
companies
/
search
Search companies (type-ahead)
curl --request GET \
--url https://rest-api.captide.co/api/v2/companies/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://rest-api.captide.co/api/v2/companies/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://rest-api.captide.co/api/v2/companies/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest-api.captide.co/api/v2/companies/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest-api.captide.co/api/v2/companies/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rest-api.captide.co/api/v2/companies/search")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rest-api.captide.co/api/v2/companies/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "77848abe-a215-41b7-8950-86e89ea1fadc",
"name": "Santos Ltd.",
"tickers": [
"STO.AX"
],
"countries": [
"AU"
],
"filesWithSec": false,
"permid": "4295857141"
}
]{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Query Parameters
Search query: company name or ticker (e.g. 'Apple', 'AAPL', 'STO.AX')
Minimum string length:
1Maximum number of results (type-ahead)
Required range:
1 <= x <= 50Response
Search results
Unique company ID
Company name
List of ticker symbols with exchange suffixes (e.g., 'ASML', 'ASML.AS')
Company's country of domicile (ISO 3166-1 alpha-2)
Whether the company files reports with the SEC
Central Index Key (CIK) assigned by the SEC
PermID (Permanent Identifier) assigned by Refinitiv
Was this page helpful?